Help us improve your experience.

Let us know what you think.

Do you have time for a two-minute survey?

 

Troubleshooting Signalware Installation and Configuration

 

This section describes how to troubleshoot errors that might occur during the installation and configuration of Signalware on a Linux platform.

Error Message

Solution

| ERROR |

Cannot find the kernel source config file /proc/config.gz or /lib/modules/2.6.32-131.0.15.el6.x86_64/build/.config. Please ensure that a config file that matches the running kernel exists.

rm: cannot remove `.': Is a directory

rm: cannot remove `..': Is a directory

This error occurs when you configure the platform if the running kernel != kernel-devel version.

If you have used a precompiled kernel, you must make sure that your kernel sources have the same kernel configuration used for compiling the kernel. You must copy the kernel configuration from /proc/config.gz, or /boot/config-<version> into /lib/modules/uname -r/build/.config by using the gunzip < /proc/config.gz > /lib/modules/$(uname -r)/build/.config command.

Recompile and install ndiswrapper.

[root@sbr-wf-eng1 2.6.32-220.4.2.el6.x86_64]# yum info kernel|more
Loaded plugins: product-id, rhnplugin, subscription-manager Updating Red Hat repositories.
Installed Packages
Name        : kernel
Arch        : x86_64
Version     : 2.6.32
Release     : 131.0.15.el6
[root@sbr-wf-eng1 2.6.32-220.4.2.el6.x86_64]# yum info kernel-devel|more
Loaded plugins: product-id, rhnplugin, subscription-manager Updating Red Hat repositories.
Installed Packages
Name        : kernel-devel
Arch        : x86_64
Version     : 2.6.32
Release     : 220.4.2.el6
[root@sbr-wf-eng1 2.6.32-220.4.2.el6.x86_64]# yum info kernel-headers|more
Loaded plugins: product-id, rhnplugin, subscription-manager Updating Red Hat repositories.
Installed Packages
Name        : kernel-headers
Arch        : x86_64
Version     : 2.6.32
Release     : 220.el6
[root@sbr-wf-eng1 2.6.32-220.4.2.el6.x86_64]# yum install kernel-devel-2.6.32-131.0.15.el6
[root@sbr-wf-eng1 2.6.32-220.4.2.el6.x86_64]# yum install kernel-headers-2.6.32-131.0.15.el6

The following command did not complete successfully.

Command: /opt/ulcm/conf/swcommission on CE sbr-wf-eng1

Error Code: 1

Error Text:



Signalware swdecommission Script Error.

inetd is NOT RUNNING!!

> Do you wish to see the complete error output (Y/N)[Y]:

This error occurs when you commission the Signalware 9SP6.0 without upgrading to Signalware 9SP6.5

Perform the following steps:

  1. At the Do you wish to see the complete error output (Y/N): prompt, enter N.
  2. Enter 6 -override to skip the remaining steps.
  3. Press F11 to return to the previous menu.

    The Initial Install menu appears.

  4. Enter 1 at the command prompt to install the Signalware 9SP6.5 package.